=== debian/changelog ===
ros-one-moveit-task-constructor-demo (0.1.4-0noble.20251023.1808) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Thu, 23 Oct 2025 18:08:43 +0000

ros-one-moveit-task-constructor-demo (0.1.4-0noble) noble; urgency=high

  * Allow max Cartesian link speed in PlannerInterface (#277 <https://github.com/moveit/moveit_task_constructor/issues/277>)
  * Add missing dependency
  * CI: Fix Noble builds
  * Pick with custom max_velocity_scaling_factor during approach+lift
  * Fix pick+place: connect should plan both, arm and hand motion
  * Increase minimum required CMake version to 3.16 supported by Ubuntu 20.04
  * clang-tidy fixes: std::endl -> 'n'
  * examples: add orientation path constraint
  * Update API: JumpThreshold -> CartesianPrecision (#611 <https://github.com/moveit/moveit_task_constructor/issues/611>)
  * Unify Python demo scripts
  * Switch shebang to python3
  * Improve comments for pick-and-place task (#238 <https://github.com/moveit/moveit_task_constructor/issues/238>)
  * Expose MultiPlanner to Python (#474 <https://github.com/moveit/moveit_task_constructor/issues/474>)
  * Example of constrained orientation planning
  * Switch to package py_binding_tools
  * Fix demos (#493 <https://github.com/moveit/moveit_task_constructor/issues/493>)
  * Merge PR #460 <https://github.com/moveit/moveit_task_constructor/issues/460>: improvements to ModifyPlanningScene stage
  * Fix SolutionBase::fillMessage(): also write start_scene
  * Contributors: Fabian Schuetze, Gauthier Hentz, Michael Görner, Robert Haschke, VideoSystemsTech

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Wed, 15 Oct 2025 00:00:00 -0000

ros-one-moveit-task-constructor-demo (0.1.3-0noble) noble; urgency=high

  * Use const reference instead of reference for ros::NodeHandle (#437 <https://github.com/ros-planning/moveit_task_constructor/issues/437>)
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Mon, 06 Mar 2023 00:00:00 -0000

ros-one-moveit-task-constructor-demo (0.1.2-0noble) noble; urgency=high

  * CartesianPath: Deprecate redundant property setters (#429 <https://github.com/ros-planning/moveit_task_constructor/issues/429>)
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Fri, 24 Feb 2023 00:00:00 -0000

ros-one-moveit-task-constructor-demo (0.1.1-0noble) noble; urgency=high

  * Resort to MoveIt's python tools
    * Provide ComputeIK.ik_frame as full PoseStamped
  * Fixed build farm issues
    * Fixed missing dependency declarations
  * pick_place_task: monitor last state before Connect
    ... to prune solutions as much as possible
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Wed, 15 Feb 2023 00:00:00 -0000

ros-one-moveit-task-constructor-demo (0.1.0-0noble) noble; urgency=high

  * Initial release
  * Contributors: Michael Görner, Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Thu, 02 Feb 2023 00:00:00 -0000
