=== debian/control ===
Source: ros-one-moveit-task-constructor-demo
Section: misc
Priority: optional
Maintainer: Robert Haschke <rhaschke@techfak.uni-bielefeld.de>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-moveit-core, ros-one-moveit-ros-planning-interface, ros-one-moveit-task-constructor-core, ros-one-roscpp, ros-one-rosparam-shortcuts
Homepage: 
Standards-Version: 3.9.2

Package: ros-one-moveit-task-constructor-demo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-moveit-core, ros-one-moveit-resources-panda-moveit-config, ros-one-moveit-ros-planning-interface, ros-one-moveit-task-constructor-capabilities, ros-one-moveit-task-constructor-core, ros-one-moveit-task-constructor-visualization, ros-one-py-binding-tools, ros-one-roscpp, ros-one-rosparam-shortcuts
Description: demo tasks illustrating various capabilities of MTC.
