## ros-one-moveit-task-constructor-demo 0.1.4-4jammy.20260128.2357

=== debian/changelog ===
ros-one-moveit-task-constructor-demo (0.1.4-4jammy.20260128.2357) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Wed, 28 Jan 2026 23:57:35 +0000
