## ros-one-moveit-task-constructor-demo 0.1.4-4noble.20260129.0017

=== debian/changelog ===
ros-one-moveit-task-constructor-demo (0.1.4-4noble.20260129.0017) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Thu, 29 Jan 2026 00:17:12 +0000
