## ros-one-moveit-task-constructor-demo 0.1.4-4noble.20260301.2351

=== debian/changelog ===
ros-one-moveit-task-constructor-demo (0.1.4-4noble.20260301.2351) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Sun, 01 Mar 2026 23:51:27 +0000
